﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows.DockManager;

namespace PaneTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : XamRibbonWindow
    {
        private SplitPane _pane;

        public Window1()
        {
            InitializeComponent();

            paneShow.IsEnabled = false;
            paneShow.Click += new RoutedEventHandler(paneShow_Click);
            paneHide.Click += new RoutedEventHandler(paneHide_Click);

            _pane = pane;
        }

        void paneHide_Click(object sender, RoutedEventArgs e)
        {
            dockManager.Panes.Clear();
            paneShow.IsEnabled = true;
        }

        void paneShow_Click(object sender, RoutedEventArgs e)
        {
            pane.Visibility = Visibility.Visible;
            dockManager.Panes.Add(pane);
        }
    }
}
